You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data transformation API
DescribeETLTask
Copy page
Download PDF
DescribeETLTask
Call DescribeETLTask to get details about a specific ETL task.​
Request instructions​
  • Request method: GET​
  • Request URL: https://{tls-endpoint}/DescribeETLTask​
Request parameters​
The following table lists only parameters unique to this API and some public parameters. For more information, see Public Parameters.​
Query​
​
Parameter​
Type​
Required​
Example value​
Description​
TaskId​
String​
Yes​
f3e901c3-b17f-42fd-aa8c-dc91a6c7****​
ID of the processing task to be queried.​
​
Response parameters​
The table below lists only the unique response parameters for this API. For more information, see Return Structure.​
​
Parameter​
Type​
Example value​
Description​
CreateTime​
String​
2022-12-01 14:01:02​
Creation time of the processing task.​
DSLType​
String​
NORMAL​
DSL type, fixed as NORMAL.​
Description​
String​
This is a test project​
Description of the data transformation task.​
  • Does not support <>, ', \, \\.​
  • Length must be between 0 and 64 characters.​
ETLStatus​
String​
WAITING​
Task scheduling status.​
  • WAITING: Preparing.​
  • RUNNING: Running.​
  • Stopping: in progress.​
  • Stopped: completed.​
  • Restarting: in progress.​
Enable​
Boolean​
true​
Enable data tasks​
  • ture: enabled​
  • false: disabled​
FromTime​
Integer​
1643684482​
The start time for data to be processed. Leave blank to process all historical data​
LastEnableTime​
String​
2022-12-01 14:01:02​
Most recent start time​
ModifyTime​
String​
2022-12-01 14:01:02​
Last modified time for the processing task​
Name​
String​
etl-task-name​
Transformation task name.​
ProjectId​
String​
f***********​
ID of the project containing data to be processed.​
ProjectName​
String​
myproject​
Name of the project containing the data to be transformed.​
Script​
String​
f_set("key","value")​
Processing rules.​
SourceTopicId​
String​
4a9bd4bd-53f1-43ff-b88a-64ee1be5****​
The log topic ID where the data to be processed is located​
SourceTopicName​
String​
test-topic​
Name of the log topic where data to be transformed is located.​
TargetResources​
/​
Output information about the target​
TaskId​
String​
4a9bd4bd-53f1-43ff-b88a-64ee1be5****​
Processing task ID.​
TaskType​
String​
Resident​
Task type: always Resident.​
ToTime​
Integer​
1643684482​
End time of the log data transformation range. Leave blank for no limit.​
​
TargetResourcesResp​
​
Parameter​
Type​
Example value​
Description​
Alias​
String​
Custom alias​
Set a custom name for the output target.​
TopicId​
String​
4a9bd4bd-53f1-43ff-b88a-64ee1be5****​
ID of the log topic used to store processed logs.​
ProjectId​
String​
4a9bd4bd-53f1-43ff-b88a-64ee1be5****​
Used to store the project ID of logs after processing.​
TopicName​
String​
topicname​
Name of the log topic used to store processed logs.​
ProjectName​
String​
projectname​
Name of the project used to store the processed log.​
Region​
String​
cn-beijing​
The region where the project for storing processed logs is located​
RoleTrn​
String​
trn:iam::2100000001:role/TLSETLAccessForUserA​
Cross-account authorized role name. You can log in to the IAM console, click the role name under Role Management, and view the Basic Information section for the Role TRN.​
​
Sample request​
​
GET https://{tls-endpoint}/DescribeETLTask?&TaskId=f3e901c3-b17f-42fd-aa8c-dc91a6c7**** HTTP/1.1​
Content-Type: application/json​
​
Sample response​
​
{​
"TaskId": "e9b00e4a-ae***c4-83e5-a38d7f73ebfc",​
"Name": "zy-access-",​
"SourceTopicId": "5687efb0-4a*****5-4447770a3fe6",​
"SourceTopicName": "access-log",​
"DSLType": "NORMAL",​
"Script": "e_keep(f_has(\"__time__\"))",​
"TaskType": "Resident",​
"TargetResources": [​
{​
"TopicId": "e2cc153d-3ba8-4****80e1ef1bead9",​
"TopicName": "topic1",​
"ProjectId": "4012777e-c******dc4b3a4ab",​
"ProjectName": "zy-test",​
"Alias": "target",​
"Region": "cn-beijing"​
}​
],​
"Enable": true,​
"Description": "This is a test project",​
"ETLStatus": "RUNNING",​
"FromTime": 1709025132,​
"CreateTime": "2024-02-27 17:12:30",​
"ModifyTime": "2024-02-27 17:12:49",​
"LastEnableTime": "2024-02-27 17:12:30",​
"ProjectId": "d11be542-****170-72c318262132",​
"ProjectName": "log-sy"​
}​
​
Error Code​
You can access Common Error Codes for more information.​
Last updated: 2025.10.28 18:42:02